git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Use of org.hamcrest.Matchers


MG>Hi Gintas please see question below

________________________________
From: Gintautas Grigelionis <g.grigelionis@xxxxxxxxx>
Sent: Sunday, April 22, 2018 2:30 PM
To: Ant Developers List
Subject: Re: Use of org.hamcrest.Matchers

2018-04-22 13:56 GMT+00:00 Stefan Bodewig <bodewig@xxxxxxxxxx>:

On 2018-04-22, Gintautas Grigelionis wrote:
>
> > Hmm... are you sure that Gump has hamcrest-library?
>
> No, you are correct. I was under the impression it was using Hamcrest
> 2.x while it was not - Hamcrest 2.x only contains a single jar and if I
> had looked close enough I would have seen the Matchers class is still
> there inside the gradle built jar.
>
> Gump didn't provide the hamcrest-library but should start doing so with
> the next run.
>

I wish we could replace fetch.xml with an Ivy equivalent :-)
MG>lib/libraries.properties
MG>hamcrest-core.version=1.3
MG>hamcrest-library.version=${hamcrest-core.version}

MG>if fetch.xml is deprecated would'nt you want to deprecate lib/libraries.properties as well?


Hopefully 2.5.0 is out soon.

Gintas
MG>let me know